Bug 635315 - [abrt] ffado-2.0.1-3.20100706.svn1864.fc13: motu.py:572:initValues:AttributeError: 'Motu' object has no attribute 'mode'
[abrt] ffado-2.0.1-3.20100706.svn1864.fc13: motu.py:572:initValues:AttributeE...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libffado (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
abrt_hash:db8c4f1d
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-18 18:32 EDT by Michael Eckert-Lyngstad
Modified: 2010-10-31 17:32 EDT (History)
1 user (show)

See Also:
Fixed In Version: libffado-2.1.0-0.1.20101015.svn1913.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-31 17:31:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (581 bytes, text/plain)
2010-09-18 18:32 EDT, Michael Eckert-Lyngstad
no flags Details

  None (edit)
Description Michael Eckert-Lyngstad 2010-09-18 18:32:45 EDT
abrt version: 1.1.13
architecture: i686
cmdline: /usr/bin/python /usr/bin/ffado-mixer
component: libffado
executable: /usr/bin/ffado-mixer
kernel: 2.6.33.6-147.2.4.rt28.1.fc13.ccrma.i686.rt
package: ffado-2.0.1-3.20100706.svn1864.fc13
reason: motu.py:572:initValues:AttributeError: 'Motu' object has no attribute 'mode'
release: Fedora release 13 (Goddard)
time: 1284848752
uid: 500

backtrace
-----
motu.py:572:initValues:AttributeError: 'Motu' object has no attribute 'mode'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/ffado/panelmanager.py", line 350, in updatePanels
    mixerwidget.initValues()
  File "/usr/lib/python2.6/site-packages/ffado/mixer/motu.py", line 572, in initValues
    if (self.model==MOTU_MODEL_828mk3 or self.mode==MOTU_MODEL_ULTRALITEmk3 or self.mode==MOTU_MODEL_ULTRALITEmk3_HYB):
AttributeError: 'Motu' object has no attribute 'mode'

Local variables in innermost frame:
self: <ffado.mixer.motu.Motu object at 0x895606c>

How to reproduce
-----
1. Opened ffado-mixer application
2. reached the point where it deduced that the MOTU device was set for 96000hz
3. application froze up
Comment 1 Michael Eckert-Lyngstad 2010-09-18 18:32:47 EDT
Created attachment 448241 [details]
File: backtrace
Comment 2 Orcan Ogetbil 2010-09-18 18:43:26 EDT
Thanks. Is this reported upstream to the developers?
Comment 3 Michael Eckert-Lyngstad 2010-09-19 15:02:24 EDT
Hey there, 

Not at this point.  Should I report it to them as well?  I'm new to all of this Linux stuff (what with people actually contacting you like this and asking questions).  

Thanks!
Comment 4 Orcan Ogetbil 2010-09-19 15:17:58 EDT
Hello Michael,
It's all good. For 99% of the crash reports such as this one, the person (the package maintainer) you are talking in this bugzilla is not the actual program developer. In fact, the person might not even be a programmer. 

By posting your report here, you are expecting the package maintainer to forward this to the developers, thus adding another layer between you and the people who can actually solve your issues. Things might work this way depending on the time the package maintainer can dedicate.

My preference is to report bugs to the developers, as they might need more information from you and the additional layer might slow down the process. However, filing  a bug, even if it's filed here, is better than filing no bug.

I can forward this report upstream for you. Thanks for your time.
Comment 5 Orcan Ogetbil 2010-09-19 15:30:27 EDT
forwarded upstream: http://subversion.ffado.org/ticket/305
Comment 6 Orcan Ogetbil 2010-10-03 02:50:05 EDT
Hello, I am still negotiating with the developers how to tackle the updating strategy of ffado. Meanwhile you can use this command (single line) as root to prevent the crash:

# sed -i 's|self.mode=|self.model=|g' /usr/lib/python2.6/site-packages/ffado/mixer/motu.py
Comment 7 Fedora Update System 2010-10-15 04:02:06 EDT
libffado-2.1.0-0.1.20101015.svn1913.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libffado-2.1.0-0.1.20101015.svn1913.fc14
Comment 8 Fedora Update System 2010-10-15 04:02:57 EDT
libffado-2.1.0-0.1.20101015.svn1913.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/libffado-2.1.0-0.1.20101015.svn1913.fc13
Comment 9 Fedora Update System 2010-10-15 15:07:21 EDT
libffado-2.1.0-0.1.20101015.svn1913.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libffado'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/libffado-2.1.0-0.1.20101015.svn1913.fc14
Comment 10 Fedora Update System 2010-10-31 17:31:17 EDT
libffado-2.1.0-0.1.20101015.svn1913.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-10-31 17:32:12 EDT
libffado-2.1.0-0.1.20101015.svn1913.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.